For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETPreview the impact of ZDR on the available endpoints
      • GETList all endpoints for a model
LogoLogo
ModelsChatRankingsDocs
API ReferenceEndpoints

Preview the impact of ZDR on the available endpoints

GET
https://openrouter.ai/api/v1/endpoints/zdr
GET
/api/v1/endpoints/zdr
$curl https://openrouter.ai/api/v1/endpoints/zdr \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "context_length": 8192,
5 "latency_last_30m": {
6 "p50": 0.25,
7 "p75": 0.35,
8 "p90": 0.48,
9 "p99": 0.85
10 },
11 "max_completion_tokens": 4096,
12 "max_prompt_tokens": 8192,
13 "model_id": "openai/gpt-4",
14 "model_name": "GPT-4",
15 "name": "OpenAI: GPT-4",
16 "pricing": {
17 "completion": "0.00006",
18 "prompt": "0.00003",
19 "image": "0",
20 "request": "0"
21 },
22 "provider_name": "OpenAI",
23 "quantization": "fp16",
24 "supported_parameters": [
25 "temperature",
26 "top_p",
27 "max_tokens"
28 ],
29 "supports_implicit_caching": true,
30 "tag": "openai",
31 "throughput_last_30m": {
32 "p50": 45.2,
33 "p75": 38.5,
34 "p90": 28.3,
35 "p99": 15.1
36 },
37 "uptime_last_1d": 99.8,
38 "uptime_last_30m": 99.5,
39 "uptime_last_5m": 100,
40 "status": 0
41 }
42 ]
43}
Was this page helpful?
Previous

List all endpoints for a model

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

Returns a list of endpoints
datalist of objects

Errors

500
Internal Server Error